Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
payment-method-details
List Payment Method Details
curl --request GET \
  --url https://sandbox.api.rime.finance/v1/accounts/{account_id}/payment-method-details \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "789e0123-e89b-12d3-a456-426614174002",
      "account_id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "sepa",
      "iban": "DE89370400440532013000",
      "account_holder_name": "Max Mustermann",
      "is_primary": true
    },
    {
      "id": "890e1234-e89b-12d3-a456-426614174003",
      "account_id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "sepa",
      "iban": "DE89370400440532013001",
      "account_holder_name": "Max Mustermann",
      "is_primary": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer access token. Provide as a Authorization: Bearer <token> header.

Path Parameters

account_id
string<uuid> | null
required

Query Parameters

payment_type
enum<string> | null

Filter for payment method details with a specific payment method type.

Type of the payment method. Currently, only SEPA transfers are supported.

Available options:
sepa
iban
string | null

Filter for payment method details containing a specific IBAN for SEPA wire transfers.

Example:

"DE12345678901234567890"

is_primary
boolean | null

Filter for including or excluding primary payment method details.

account_holder_name
string | null

Filter for payment method details with a specific bank account belonging to a account holder name.

Example:

"Max Mustermann"

skip
integer
default:0
Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 1000

Response

200 - application/json

Payment method details retrieved successfully

data
AccountPaymentMethodDetailsSchema · object[]
required